Containers
List containers
Lists containers matching the request filters.
Parametry zapytań
limit
integer
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.
order
enum
Sort order by the created_at timestamp of the objects. asc for ascending order and desc for descending order.
after
string
A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.
name
string
Filter results by container name.
Odpowiedzi
The request has succeeded.
Treść
object
enum
wymagane
The type of object returned, must be 'list'.
data
OpenAI.ContainerResource[]
wymagane
A list of containers.
first_id
string
wymagane
The ID of the first container in the list.
last_id
string
wymagane
The ID of the last container in the list.
has_more
boolean
wymagane
Whether there are more containers available.
Żądanie
curl https://api.openai.com/v1/containers \
-H "Authorization: Bearer $OPENAI_API_KEY"
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const containerListResponse of client.containers.list()) {
console.log(containerListResponse.id);
}
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
page = client.containers.list()
page = page.data[0]
print(page.id)
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Containers.List(context.TODO(), openai.ContainerListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", page)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.containers.ContainerListPage;
import com.openai.models.containers.ContainerListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
ContainerListPage page = client.containers().list();
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
page = openai.containers.list
puts(page)
Response
{
"object": "list",
"data": [
{
"id": "cntr_682dfebaacac8198bbfe9c2474fb6f4a085685cbe3cb5863",
"object": "container",
"created_at": 1747844794,
"status": "running",
"expires_after": {
"anchor": "last_active_at",
"minutes": 20
},
"last_active_at": 1747844794,
"memory_limit": "4g",
"name": "My Container"
}
],
"first_id": "container_123",
"last_id": "container_123",
"has_more": false
}